<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart" class="fuenteMini">

        <h:outputText value="RH -> Configuración -> Ahorro Solidario" style="font-weight: bold; font-size: medium"/>
        <hr class="ui-separator ui-state-default ui-corner-all separator"></hr> 
        <h:outputText value="Configuración Ahorro Solidario" />
        <br/><br/>




        <h:form id="formTablaCatAportaciones" >


            <h:panelGrid columns="1" cellpadding="10px" columnClasses="centered7" style="width: 90%; padding-left: 90px">
                <p:dataTable id="tablaCatAportaciones"
                             value="#{adminAhorroSolidarioMB.lstAportaciones}" 
                             var="aportaciones"
                             paginator="true"
                             rows="10"
                             rowKey="#{aportaciones.intIdHistoricoMovimiento}"
                             scrollable="true" 
                             scrollWidth="99%"       
                             emptyMessage="No se encontraron aportaciones."
                             style="font-size: x-small;"
                             currentPageReportTemplate="Mostrando aportaciones del {startRecord} al {endRecord} de {totalRecords}."
                             paginatorPosition="bottom"
                             >          
                    <f:facet name="header">
                        Ahorro Solidario
                        <p:commandButton                            
                            title="Agregar potenciación"
                            icon="ui-icon-plusthick"
                            style="display:inline; float:right; font-size:x-small;"
                            actionListener="#{adminAhorroSolidarioMB.dlgCrear()}"
                            update="@(.formCatAportaciones)@(dialog)"
                            >
                        </p:commandButton>
                    </f:facet>
                    <p:column 
                        headerText="Aportaciones"
                        style="font-size: x-small; text-align: center; font-weight: bolder;"
                        filterMatchMode="contains"
                        sortBy="#{aportaciones.dbPorcentaje}"
                        filterBy="#{aportaciones.dbPorcentaje}"
                        >
                        <p:outputLabel value="#{aportaciones.dbPorcentaje} %"/>
                    </p:column>


                    <p:column 
                        headerText="Actualizar" 
                        style="font-size: x-small; text-align: center; font-weight: bolder;"

                        >

                        <p:commandButton
                            id="btnActualizar"
                            value="Actualizar"
                            actionListener="#{adminAhorroSolidarioMB.dlgActualizar(aportaciones)}"
                            style="font-size: 100%;"
                            update="@(.formCatAportaciones)@(.dialog)"
                            />

                    </p:column>

                    <p:column 
                        headerText="Eliminar" 
                        style="font-size: x-small; text-align: center; font-weight: bolder;" 

                        >

                        <p:commandButton
                            id="btnEliminar"
                            value="Eliminar"
                            actionListener="#{adminAhorroSolidarioMB.elimina(aportaciones)}"
                            style="font-size: 100%;"
                            update=":#{p:component('formTablaCatAportaciones')}"
                            >

                            <p:confirm header="Por favor confirme" message="¿Seguro de ELIMINAR la aportación?" icon="ui-icon-alert" />
                        </p:commandButton>

                    </p:column>



                </p:dataTable>
            </h:panelGrid>




            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
            </p:confirmDialog>



        </h:form>

        <p:dialog header="#{adminAhorroSolidarioMB.strDlgTitulo}" dynamic="true"
                  resizable="false" closable="false"
                  styleClass="dialog" widgetVar="dlgCrear" modal="true" appendTo="@(body)">
            <h:panelGroup class="tmp" id="tmp">
                <h:form id="formCatAportaciones" styleClass="formCatAportaciones">

                    <h:panelGrid columns="2" cellpadding="5" columnClasses="centered5,centered6" style="font-size: 100%;">
                        <p:column>
                            <p:outputLabel for="txtporcent" value="Aportación: %" style="font-weight: bold"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber id="txtporcent" maxValue="100" styleClass="txtporcent" required="true" 
                                           value="#{adminAhorroSolidarioMB.rhNomnCatAportaAhorroSoliTOSelected.dbPorcentaje}" 
                                           requiredMessage="El porcentaje es requerido." />
                        </p:column>
                    </h:panelGrid>
                    <div align="right"> 
                        <p:commandButton value="Guardar"  
                                          style="font-size: 70%;"
                                         update=":#{p:component('formTablaCatAportaciones')}" 
                                         actionListener="#{adminAhorroSolidarioMB.guardar()}" 
                                         process="@(.formCatAportaciones)"
                                         oncomplete="if(!args.validationFailed){PF('dlgCrear').hide()}"
                                         ajax="true"/>
                        <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton
                            id="btnCancelar"
                            value="Cancelar"    
                            style="font-size: 70%;"
                            process="@this"
                            update="@(.formCatAportaciones)"
                            onclick="PF('dlgCrear').hide()"
                            />
                    </div>
                </h:form>    
            </h:panelGroup>
        </p:dialog>


    </ui:define>
</ui:composition>